Loading...
Searching...
No Matches
juce::OSCArgument Class Reference

## Detailed Description

An OSC argument.

An OSC argument is a value of one of the following types: int32, float32, string, or blob (raw binary data).

OSCMessage objects are essentially arrays of OSCArgument objects.

The documentation for this class was generated from the following file:

- juce_osc/osc/juce_OSCArgument.h

## Public Member Functions

| OSCArgument (int32 value)
| Constructs an OSCArgument with type int32 and a given value.
| OSCArgument (float value)
| Constructs an OSCArgument with type float32 and a given value.
| OSCArgument (const String &value)
| Constructs an OSCArgument with type string and a given value.
| OSCArgument (MemoryBlock blob)
| Constructs an OSCArgument with type blob and copies dataSize bytes from the memory pointed to by data into the blob.
| OSCArgument (OSCColour colour)
| Constructs an OSCArgument with type colour and a given colour value.
OSCType | getType () const noexcept
| Returns the type of the OSCArgument as an OSCType.
bool | isInt32 () const noexcept
| Returns whether the type of the OSCArgument is int32.
bool | isFloat32 () const noexcept
| Returns whether the type of the OSCArgument is float.
bool | isString () const noexcept
| Returns whether the type of the OSCArgument is string.
bool | isBlob () const noexcept
| Returns whether the type of the OSCArgument is blob.
bool | isColour () const noexcept
| Returns whether the type of the OSCArgument is colour.
int32 | getInt32 () const noexcept
| Returns the value of the OSCArgument as an int32.
float | getFloat32 () const noexcept
| Returns the value of the OSCArgument as a float32.
String | getString () const noexcept
| Returns the value of the OSCArgument as a string.
const MemoryBlock & | getBlob () const noexcept
| Returns the binary data contained in the blob and owned by the OSCArgument, as a reference to a JUCE MemoryBlock object.
OSCColour | getColour () const noexcept
| Returns the value of the OSCArgument as an OSCColour.

## Constructors and Destructors

## OSCArgument() [1/5]

juce::OSCArgument::OSCArgument | ( | int32 | value | ) |

Constructs an OSCArgument with type int32 and a given value.

## OSCArgument() [2/5]

juce::OSCArgument::OSCArgument | ( | float | value | ) |

Constructs an OSCArgument with type float32 and a given value.

## OSCArgument() [3/5]

juce::OSCArgument::OSCArgument | ( | const String & | value | ) |

Constructs an OSCArgument with type string and a given value.

## OSCArgument() [4/5]

juce::OSCArgument::OSCArgument | ( | MemoryBlock | blob | ) |

Constructs an OSCArgument with type blob and copies dataSize bytes from the memory pointed to by data into the blob.

The data owned by the blob will be released when the OSCArgument object gets destructed.

## OSCArgument() [5/5]

juce::OSCArgument::OSCArgument | ( | OSCColour | colour | ) |

Constructs an OSCArgument with type colour and a given colour value.

## Member Functions

## getType()

OSCType juce::OSCArgument::getType | ( |  | ) | const

inline noexcept

Returns the type of the OSCArgument as an OSCType.

OSCType is a char type, and its value will be the OSC type tag of the type.

## isInt32()

bool juce::OSCArgument::isInt32 | ( |  | ) | const

inline noexcept

Returns whether the type of the OSCArgument is int32.

References juce::OSCTypes::int32.

## isFloat32()

bool juce::OSCArgument::isFloat32 | ( |  | ) | const

inline noexcept

Returns whether the type of the OSCArgument is float.

References juce::OSCTypes::float32.

## isString()

bool juce::OSCArgument::isString | ( |  | ) | const

inline noexcept

Returns whether the type of the OSCArgument is string.

References juce::OSCTypes::string.

## isBlob()

bool juce::OSCArgument::isBlob | ( |  | ) | const

inline noexcept

Returns whether the type of the OSCArgument is blob.

References juce::OSCTypes::blob.

## isColour()

bool juce::OSCArgument::isColour | ( |  | ) | const

inline noexcept

Returns whether the type of the OSCArgument is colour.

References juce::OSCTypes::colour.

## getInt32()

int32 juce::OSCArgument::getInt32 | ( |  | ) | const

noexcept

Returns the value of the OSCArgument as an int32.

If the type of the OSCArgument is not int32, the behaviour is undefined.

## getFloat32()

float juce::OSCArgument::getFloat32 | ( |  | ) | const

noexcept

Returns the value of the OSCArgument as a float32.

If the type of the OSCArgument is not float32, the behaviour is undefined.

References getFloat32().

Referenced by getFloat32().

## getString()

String juce::OSCArgument::getString | ( |  | ) | const

noexcept

Returns the value of the OSCArgument as a string.

If the type of the OSCArgument is not string, the behaviour is undefined.

References getString().

Referenced by getString().

## getBlob()

const MemoryBlock & juce::OSCArgument::getBlob | ( |  | ) | const

noexcept

Returns the binary data contained in the blob and owned by the OSCArgument, as a reference to a JUCE MemoryBlock object.

If the type of the OSCArgument is not blob, the behaviour is undefined.

References getBlob().

Referenced by getBlob().

## getColour()

OSCColour juce::OSCArgument::getColour | ( |  | ) | const

noexcept

Returns the value of the OSCArgument as an OSCColour.

If the type of the OSCArgument is not a colour, the behaviour is undefined.

References getColour().

Referenced by getColour().

## Member Data Documentation

## intValue

int32 juce::OSCArgument::intValue

## floatValue

float juce::OSCArgument::floatValue

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited